module GR_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libGKS
const libGKS_path = "/usr/lib/libGKS.so"
libGKS_handle = C_NULL
get_libGKS_path() = libGKS_path
const libGKS = "libGKS.so"
export libGR
const libGR_path = "/usr/lib/libGR.so"
libGR_handle = C_NULL
get_libGR_path() = libGR_path
const libGR = "libGR.so"
export libGR3
const libGR3_path = "/usr/lib/libGR3.so"
libGR3_handle = C_NULL
get_libGR3_path() = libGR3_path
const libGR3 = "libGR3.so"
export libGRM
const libGRM_path = "/usr/lib/libGRM.so"
libGRM_handle = C_NULL
get_libGRM_path() = libGRM_path
const libGRM = "libGRM.so"
export gksqt
const gksqt_path = "/usr/bin/gksqt"
gksqt(f::Function; kw...) = f(gksqt_path)
gksqt(; kw...) = Cmd([gksqt_path])
export grplot
const grplot_path = "/usr/bin/grplot"
grplot(f::Function; kw...) = f(grplot_path)
grplot(; kw...) = Cmd([grplot_path])
function __init__()
    global libGKS_handle = dlopen(libGKS_path)
    global libGR_handle = dlopen(libGR_path)
    global libGR3_handle = dlopen(libGR3_path)
    global libGRM_handle = dlopen(libGRM_path)
end
end
